divert(-1)
# AnotherLevelUp/fvwm2rc.comp.pager.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 2001, 2002 and Red Hat Software, Inc
divert

# PAGERDESKWIDTH could be already defined, and have no GUI to define it here
ifdef(`PAGERDESKWIDTH', `', define(`PAGERDESKWIDTH',55))

# NUM_DESKTOPS is number of desktops -- each desktop is DESKTOP_SIZE panes
define(`NUM_DESKTOPS',2)

# DESKTOP_SIZE is a geometry specifying horizontal desktop x vertical desktops
# So 3x3 gives 9 panes per desktop
define(`DESKTOP_SIZE',2x2)

readFile(`scripts_PagerSettings')

DeskTopSize	DESKTOP_SIZE

###########################################################################
##### FvwmButtons Pager

DestroyModuleConfig Pager*
*PagerFore WINFORE_COLOR
*PagerBack WINBACK_COLOR
*PagerFont None

define(`FVWM_BUTTONS_WIDTH',eval(PAGERDESKWIDTH + PAGERDESKWIDTH * NUM_DESKTOPS))
*PagerGeometry FVWM_BUTTONS_WIDTH`'x50-NEXTTOPSCREENPOSITION+0
# Layout: specify rows or columns, not both
*PagerRows 1
# Define the buttons to use.....
changecom(%%%)
*Pager(Swallow XLoad 'Exec nice -NICELEVEL xload -nolabel -geometry 32x20+0+0 -fg "WINFORE_COLOR" -bg "WINBACK_COLOR" -update 5')
changecom(#)
ifelse(`NUM_DESKTOPS', `', `',
`NUM_DESKTOPS', `0', `',
*Pager(NUM_DESKTOPS`'x1,Swallow "FvwmPager" "FvwmPager 0 decr(NUM_DESKTOPS)")
)

Style "Pager"	Sticky, WinCircSkip, NoDecoration
ifdef(`PAGER_STAYS_ON_TOP', `Style "Pager" StaysOnTop',
                            `Style "Pager" StaysPut')

###########################################################################
##### Pager

Style "FvwmPager"	StickyOnTop, WinCircSkip, NoDecoration

DestroyModuleConfig FvwmPager*
*FvwmPagerFont -*-GENERAL_FONT_FAMILY-bold-r-*-*-10-*-*-*-*-*-*-*
*FvwmPagerGeometry +0+0
*FvwmPagerDeskTopScale 40
*FvwmPagerLabel 0 USER
*FvwmPagerSmallFont SMALL_FONT
*FvwmPagerHilight #CAB3CA
*FvwmPagerBack WINBACK_COLOR
*FvwmPagerFore WINFORE_COLOR
changecom(%%%)
*FvwmPagerWindowColors WINFORE_COLOR WINBACK_COLOR HILIGHTFORE_COLOR HILIGHTBACK_COLOR
changecom(#)
*FvwmPagerBalloons
*FvwmPagerBalloonBack	bisque
*FvwmPagerBalloonFore	black

###########################################################################

#Position of next thing to left of the pager
define(`NEXTTOPSCREENPOSITION', eval(NEXTTOPSCREENPOSITION + FVWM_BUTTONS_WIDTH))

DestroyFunc TogglePagerOn
AddToFunc TogglePagerOn
ifelse(NUM_DESKTOPS, `1', `
+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off Wharf"
')
+ "I"	KILLBUTTONS(Pager)
+ "I"	PipeRead "ANOTHERLEVEL/bin/kill-all-proc xload"
+ "I"	Module FvwmButtons Pager

DestroyFunc TogglePagerOff
AddToFunc TogglePagerOff
+ "I"	KILLBUTTONS(Pager)
+ "I"	KillModule FvwmPager
+ "I"	PipeRead "ANOTHERLEVEL/bin/kill-all-proc xload"

DestroyMenu PagerMenu
AddToMenu PagerMenu "Pager" Title
+ "&Start / stop Pager" Popup TogglePager
+ "&Configure Pager" FvwmScript PagerSettings

define(`COMP_PAGER_MENU_ENTRY', `Popup PagerMenu')
