divert(-1)
# AnotherLevelUp/fvwm2rc.comp.wharf.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 1999, 2000, 2001, 2002, 2003 and Red Hat Software, Inc

divert

Style "FvwmWharf" Sticky, WinCircSkip, NoDecoration

DestroyModuleConfig FvwmWharf*
*FvwmWharfAnimate
*FvwmWharfAnimateMain
*FvwmWharfGeometry	-0+23
*FvwmWharfColumns	1 
*FvwmWharfTextureType	255
*FvwmWharfBgColor	gray51
*FvwmWharf AfterStep AfterStep.xpm Folder
*FvwmWharf Shutdown  ShutDown.xpm  FvwmForm LogoutVerify
ifdef(`COMP_XLOCK_MENU_ENTRY', *FvwmWharf xlock KeysOnChain.xpm COMP_XLOCK_MENU_ENTRY)
*FvwmWharf ~Folder
*FvwmWharf xclock nil Swallow "xclock" xclock -bg "#8e8a9e" -fg "#00003f" -geometry 45x45-1-1 -padding 0 &
*FvwmWharf xbiff  nil Swallow "xbiff" xbiff -bg "#8e8a9e" -fg "#00003f" -geometry 45x45-1-1 &

# When have more than one desktop, do not have pager/xload here, but allow
# both pager AND wharf
ifelse(NUM_DESKTOPS, `1', `
*FvwmWharf xload  nil Swallow "xload" xload -nolabel -hl black -bg "#8e8a9e" -geometry 48x48-1-1 &
*FvwmWharf xload  nil Exec xterm -ut -T top -e top &
*FvwmWharf Pager nil Swallow "FvwmPager" Module FvwmPager 0 0
')
changequote([,])
ifdef([RH5], [
*FvwmWharf xterm monitor.xpm Exec XTERM -sl 500 -sb -T "XTERM: $[USER]@`hostname`" &
], [
*FvwmWharf xterm monitor-check.xpm  Exec XTERM -sl 500 -sb -T "XTERM: $[USER]@`hostname`" &
])
changequote(`,')

ifdef(`XEDITOR', `*FvwmWharf editor text.xpm Exec XEDITOR &')

IfProgramExists(`gimp', `*FvwmWharf gimp 3dpaint.xpm Exec gimp &')

ifdef(`WEBBROWSER_DEFAULT', `
*FvwmWharf WebBrowser mozicon50.xpm Exec WEBBROWSER_DEFAULT &
')

*FvwmWharf Recycler  recycler.xpm  Function ReallyRestart

DestroyFunc ToggleWharfOn
AddToFunc ToggleWharfOn
ifelse(NUM_DESKTOPS, `1', `
+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off Pager"
')
+ "I"   PipeRead "ANOTHERLEVEL/bin/toggle-functions -off StartMenuButtons"
+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off PreferencesButtons"
+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off FeelSettingsButtons"
+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off DesktopUtilitiesButtons"
+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off SystemUtilitiesButtons"
+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off Window-OpsButtons"
ifelse(XBIFFPROG, `xbiff', `
+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off Xbiff"
', `
+ "I"	PipeRead "ANOTHERLEVEL/bin/kill-all-proc xbiff"
')
ifelse(XCLOCKPROG, `xclock', `
+ "I"   PipeRead "ANOTHERLEVEL/bin/toggle-functions -off Xclock"
', `
+ "I"	PipeRead "ANOTHERLEVEL/bin/kill-all-proc xclock"
')
+ "I"	KillModule FvwmWharf
+ "I"	Module FvwmWharf

DestroyFunc ToggleWharfOff
AddToFunc ToggleWharfOff
+ "I"	KillModule FvwmWharf

# Currently there is no configuration GUI for the wharf
define(`COMP_WHARF_MENU_ENTRY', `Popup ToggleWharf')
