divert(-1)
# AnotherLevelUp/fvwm2rc.comp.windowfocus.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 2001, 2002, 2007 and Red Hat Software, Inc
divert

define(`FOCUS_FOLLOWS_POINTER', `SloppyFocus')
readFile(`menu_WindowFocus')

DestroyFunc ClickToFocus
AddToFunc ClickToFocus
+ "I" Style "*" ClickToFocus
+ "I" Style "*" ClickToFocusPassesClick
+ "I" Style "*" ClickToFocusRaises
ifdef(`GRABFOCUS_STYLE_AVAILABLE', `
+ "I" Style "ClockSmall" GrabFocusOff
+ "I" Style "XBIFFNAME" GrabFocusOff
+ "I" Style "xeyes" GrabFocusOff
+ "I" Style "FvwmTaskBar" GrabFocusOff
+ "I" Style "FvwmBanner" GrabFocusOff
+ "I" Style "FvwmButtons" GrabFocusOff
')

DestroyFunc SetClickToFocus
AddToFunc SetClickToFocus
+ "I" Function ClickToFocus
+ "I" Recapture
+ "I" Exec `echo "undefine(\`FOCUS_FOLLOWS_POINTER')" > 'USER_PREFS_DIR`/menu_WindowFocus'

DestroyFunc SloppyFocus
AddToFunc SloppyFocus
+ "I" Style "*" SloppyFocus
+ "I" Style "*" MouseFocusClickRaises
+ "I" Style "ClockSmall" ClickToFocus
+ "I" Style "XBIFFNAME" ClickToFocus
+ "I" Style "xeyes" ClickToFocus
+ "I" Style "FvwmTaskBar" ClickToFocus
+ "I" Style "FvwmBanner" ClickToFocus
ifdef(`GRABFOCUS_STYLE_AVAILABLE', `
+ "I" Style * GrabFocusOff
')

DestroyFunc SetSloppyFocus
AddToFunc SetSloppyFocus
+ "I" Function SloppyFocus
+ "I" Recapture
+ "I" Exec `echo "define(\`FOCUS_FOLLOWS_POINTER', \`SloppyFocus')" > 'USER_PREFS_DIR`/menu_WindowFocus'

DestroyFunc MouseFocus
AddToFunc MouseFocus
+ "I" Style "*" MouseFocus
+ "I" Style "*" MouseFocusClickRaises
+ "I" Style "ClockSmall" ClickToFocus
+ "I" Style "XBIFFNAME" ClickToFocus
+ "I" Style "xeyes" ClickToFocus
+ "I" Style "FvwmTaskBar" ClickToFocus
+ "I" Style "FvwmBanner" ClickToFocus
ifdef(`GRABFOCUS_STYLE_AVAILABLE', `
+ "I" Style * GrabFocusOff
')

DestroyFunc SetMouseFocus
AddToFunc SetMouseFocus
+ "I" Function MouseFocus
+ "I" Recapture
+ "I" Exec `echo "define(\`FOCUS_FOLLOWS_POINTER', \`MouseFocus')" > 'USER_PREFS_DIR`/menu_WindowFocus'

DestroyMenu WindowFocusMenu
AddToMenu WindowFocusMenu "Window Keyboard Focus" Title
+ "&Click to focus" Function SetClickToFocus
+ "Focus follows mouse: &sloppy" Function SetSloppyFocus
+ "Focus follows &mouse: strict" Function SetMouseFocus

ifdef(`FOCUS_FOLLOWS_POINTER', `
ifelse(FOCUS_FOLLOWS_POINTER, `MouseFocus', `
Function MouseFocus
', `
Function SloppyFocus
')', `
Function ClickToFocus
')

define(`COMP_WINDOWFOCUS_MENU_ENTRY', `Popup WindowFocusMenu')

