divert(-1)
# AnotherLevelUp/fvwm2rc.favourites.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 2000, 2002 and Red Hat Software, Inc
divert

#First, the wmconfig auto menu generation
#This is as from wmconfig, except each program is wrapped with
#ANOTHERLEVEL/bin/favourite-track-exec
#Also handles Debian menus now

# AUTOMATIC MENU generation - begin
define(`WMCONFIG_1', `')
define(`WMCONFIG_2', `')
ifdef(`MINI_ICONS', `', `define(`WMCONFIG_1', `--no-mini-icons')')
ifdef(`NO_ICONS', `define(`WMCONFIG_2', `--no-icons')')
esyscmd(ANOTHERLEVEL/bin/favourite-make-other-programs-menu "ROOT_MENU" WMCONFIG_1 WMCONFIG_2)
# AUTOMATIC MENU generation - end


#Second, the function to create and popup the FavouritesMenu
#This has been plugged into the start menu



changecom(%%%)
DefineDynamicMenu(FavouritesMenu, ANOTHERLEVEL/bin/favourite-menu \"FORM_FONT\" \"FORM_BUTTONFONT\" \"FORM_INPUTFONT\" \"FORM_FORE\" \"FORM_BACK\" \"FORM_ITEMFORE\" \"FORM_ITEMBACK\")
changecom(#)


AddToMenu FavouritesAndShellBrowserMenu "Favourites And Shell Browser" Title
+ "My &Favourites`'DynamicMenuSuffix MiniTitleIcon(run)" PopupFavouritesMenu

ifelse(DynamicPopupActionSupported, `True', `
AddToMenu "HOME/DirectoryMenu" DynamicPopupAction PipeRead "ANOTHERLEVEL/bin/directory-browse True XTERM HOME/ False"
AddToMenu FavouritesAndShellBrowserMenu "&Browse New Shell MiniTitleIcon(xterm)" Popup "HOME/DirectoryMenu"
', `
AddToMenu FavouritesAndShellBrowserMenu "&Browse New Shell MiniTitleIcon(xterm)`'DynamicMenuSuffix" PipeRead "ANOTHERLEVEL/bin/directory-browse False XTERM HOME False"
')

#Third, a form for entering a new favourite

Style NewFavourite StaysOnTop
*NewFavouriteWarpPointer

*NewFavouriteFont		FORM_FONT
*NewFavouriteButtonFont		FORM_BUTTONFONT
*NewFavouriteInputFont		FORM_INPUTFONT
*NewFavouriteFore		FORM_FORE
*NewFavouriteBack		FORM_BACK
*NewFavouriteItemFore		FORM_ITEMFORE
*NewFavouriteItemBack		FORM_ITEMBACK

*NewFavouriteLine center
*NewFavouriteText "Menu label:"
*NewFavouriteInput LabelName 50 ""
*NewFavouriteLine expand

*NewFavouriteText "Command string:"
*NewFavouriteInput Command 100 ""
*NewFavouriteLine expand

*NewFavouriteButton quit "Save and quit" ^M
*NewFavouriteCommand Exec ANOTHERLEVEL/bin/favourite-track-exec -NoRun "$(LabelName)" "$(Command)"

*NewFavouriteButton continue "Save only" ^S
*NewFavouriteCommand Exec ANOTHERLEVEL/bin/favourite-track-exec -NoRun "$(LabelName)" "$(Command)"

*NewFavouriteButton continue "Try" ^T
*NewFavouriteCommand Exec ANOTHERLEVEL/bin/favourite-track-exec -NoSave "$(LabelName)" "$(Command)"

*NewFavouriteButton quit "Quit" ^C
*NewFavouriteCommand Nop

*NewFavouriteButton restart "Clear" ^R
