divert(-1)
# AnotherLevelUp/fvwm2rc.comp.animation.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 2002 and 2007
divert

*FvwmTaskBar: NoIconAction SendToModule FvwmAnimateIconify animate

# Zoom3D delay has no 1000 multiplier in source code!
*FvwmAnimateIconify: Delay 20`'FvwmAnimateIconifyDelaySuffix
*FvwmAnimateIconify: Iterations 10
*FvwmAnimateIconify: Twist 2
*FvwmAnimateIconify: Width 8
*FvwmAnimateIconify: Effect Zoom3D

*FvwmAnimateMaximize: Delay 20
*FvwmAnimateMaximize: Iterations 10
*FvwmAnimateMaximize: Twist 2
*FvwmAnimateMaximize: Width 8
*FvwmAnimateMaximize: Effect Frame

*FvwmAnimateAddWindow: Delay 20
*FvwmAnimateAddWindow: Iterations 10
*FvwmAnimateAddWindow: Twist 2
*FvwmAnimateAddWindow: Width 8
*FvwmAnimateAddWindow: Effect Twist

# ??? Try to avoid using a function so that mouse is not grabbed
# But how? WindowId is passed only at the end, so even a PipeRead will not work
*FvwmEventAnimate: Cmd Function
*FvwmEventAnimate: PassID
*FvwmEventAnimate: add_window AnimateAddWindow
*FvwmEventAnimate: Delay 1

DestroyFunc AnimateAddWindow
AddToFunc AnimateAddWindow
ifdef(`MOUSE_POSITION_AVAILABLE', `
+ "I" WindowId $0 SendToModule FvwmAnimateAddWindow animate $[pointer.x] $[pointer.y] 0 0 $[w.x] $[w.y] $[w.width] $[w.height]
', `
+ "I" WindowId $0 SendToModule FvwmAnimateAddWindow animate eval(WIDTH / 2) eval(HEIGHT / 2) 0 0 $[w.x] $[w.y] $[w.width] $[w.height]
')
ifdef(`UseRootMouseDisable', `
+ "I" PipeRead "ANOTHERLEVEL/bin/time-enabled-command -function-end"
')

DestroyFunc ButtonFullMaximize
AddToFunc ButtonFullMaximize
+ "C" ThisWindow (!maximized) SendToModule FvwmAnimateMaximize animate $[w.x] $[w.y] $[w.width] $[w.height] 0 0 WIDTH HEIGHT
+ "C" Function BasicFullMaximize
+ "C" ThisWindow (!maximized) SendToModule FvwmAnimateMaximize animate 0 0 WIDTH HEIGHT $[w.x] $[w.y] $[w.width] $[w.height]

DestroyFunc ButtonTallMaximize
AddToFunc ButtonTallMaximize
+ "C" ThisWindow (!maximized) SendToModule FvwmAnimateMaximize animate $[w.x] $[w.y] $[w.width] $[w.height] $[w.x] 0 $[w.width] HEIGHT
+ "C" Function BasicTallMaximize
+ "C" ThisWindow (!maximized) SendToModule FvwmAnimateMaximize animate 0 0 WIDTH HEIGHT $[w.x] $[w.y] $[w.width] $[w.height]

DestroyFunc ButtonWideMaximize
AddToFunc ButtonWideMaximize
+ "C" ThisWindow (!maximized) SendToModule FvwmAnimateMaximize animate $[w.x] $[w.y] $[w.width] $[w.height] 0 $[w.y] WIDTH $[w.height]
+ "C" Function BasicWideMaximize
+ "C" ThisWindow (!maximized) SendToModule FvwmAnimateMaximize animate 0 0 WIDTH HEIGHT $[w.x] $[w.y] $[w.width] $[w.height]

DestroyFunc ButtonClose
AddToFunc ButtonClose
ifdef(`MOUSE_POSITION_AVAILABLE', `
+ "C" SendToModule FvwmAnimateAddWindow animate $[w.x] $[w.y] $[w.width] $[w.height] $[pointer.x] $[pointer.y] 0 0
', `
+ "C" SendToModule FvwmAnimateAddWindow animate $[w.x] $[w.y] $[w.width] $[w.height] $[w.x] $[w.y] 0 0
')
+ "C" Close

DestroyFunc ToggleIconifyAnimationOn
AddToFunc ToggleIconifyAnimationOn
+ "I" ModuleSynchronous FvwmAnimate FvwmAnimateIconify

DestroyFunc ToggleIconifyAnimationOff
AddToFunc ToggleIconifyAnimationOff
+ "I" KillModule FvwmAnimate FvwmAnimateIconify

DestroyFunc ToggleMaximizeAnimationOn
AddToFunc ToggleMaximizeAnimationOn
+ "I" ModuleSynchronous FvwmAnimate FvwmAnimateMaximize

DestroyFunc ToggleMaximizeAnimationOff
AddToFunc ToggleMaximizeAnimationOff
+ "I" KillModule FvwmAnimate FvwmAnimateMaximize

DestroyFunc ToggleAddWindowAnimationOn
AddToFunc ToggleAddWindowAnimationOn
+ "I" ModuleSynchronous FvwmAnimate FvwmAnimateAddWindow
+ "I" ModuleSynchronous FvwmEvent FvwmEventAnimate

DestroyFunc ToggleAddWindowAnimationOff
AddToFunc ToggleAddWindowAnimationOff
+ "I" KillModule FvwmAnimate FvwmAnimateAddWindow
+ "I" KillModule FvwmEvent FvwmEventAnimate

DestroyFunc ToggleWindowShadeAnimationOn
AddToFunc ToggleWindowShadeAnimationOn
+ "I" Style * WindowShadeSteps 30

DestroyFunc ToggleWindowShadeAnimationOff
AddToFunc ToggleWindowShadeAnimationOff
+ "I" Style * WindowShadeSteps 0

DestroyFunc ToggleAllAnimationOn
AddToFunc ToggleAllAnimationOn
+ "I" PipeRead "ANOTHERLEVEL/bin/toggle-functions -on IconifyAnimation"
+ "I" PipeRead "ANOTHERLEVEL/bin/toggle-functions -on MaximizeAnimation"
+ "I" PipeRead "ANOTHERLEVEL/bin/toggle-functions -on AddWindowAnimation"
+ "I" PipeRead "ANOTHERLEVEL/bin/toggle-functions -on WindowShadeAnimation"

DestroyFunc ToggleAllAnimationOff
AddToFunc ToggleAllAnimationOff
+ "I" PipeRead "ANOTHERLEVEL/bin/toggle-functions -off IconifyAnimation"
+ "I" PipeRead "ANOTHERLEVEL/bin/toggle-functions -off MaximizeAnimation"
+ "I" PipeRead "ANOTHERLEVEL/bin/toggle-functions -off AddWindowAnimation"
+ "I" PipeRead "ANOTHERLEVEL/bin/toggle-functions -off WindowShadeAnimation"

DestroyMenu AnimationMenu
AddToMenu AnimationMenu "Animation Features" Title
+ "Start / stop All Animation features MiniTitleIcon(cat)" Popup ToggleAllAnimation
+ "Start / stop Hide/Restore Animation MiniTitleIcon(iconify)" Popup ToggleIconifyAnimation
+ "Start / stop Maximize Animation MiniTitleIcon(maxfull)" Popup ToggleMaximizeAnimation
+ "Start / stop Add Window Animation MiniTitleIcon(windows)" Popup ToggleAddWindowAnimation
+ "Start / stop Window Shade Animation MiniTitleIcon(shade)" Popup ToggleWindowShadeAnimation

define(`COMP_ANIMATION_MENU_ENTRY', Popup AnimationMenu)
