divert(-1)
# AnotherLevelUp/fvwm2rc.menussystemutilities.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 1999, 2000, 2001, 2002 and Red Hat Software, Inc
divert

TraceForErrors(`System Utilities menu...')

AddToMenu SystemUtilities "System Utilities" Title
AddNewMenuAndButtonBar(SystemUtilities, "System Utilities Button Panel MiniTitleIcon(buttons)")

ifdef(`WANT_ROOT_XTERM', `
MenuAndButtonEntryLM(&Root shell,penguin,,Exec StartProgramInColorXterm(sh -c "su -","Root Window"))
')

ifdef(`MESSAGE_LOG',`
MenuAndButtonEntryLM(&Msgs,doc1,,Exec nice -NICELEVEL RXVT -geometry 80x8+0+0 -T Msgs -fn SMALL_FONT -e nice -NICELEVEL less +F MESSAGE_LOG)
')

IfElseProgramExists(`gtop',`
MenuAndButtonEntryLM(T&op,run,,Popup TopUtilities)
AddToMenu "TopUtilities" "Top" title
+ "T&op (in rxvt)" Exec RXVT -name top -T Top -n Top -e top
+ "G&top" Exec gtop 2>&1
',`
MenuAndButtonEntryLM(T&op,run,,Exec RXVT -name top -T Top -n Top -e top)'
)

IfElseProgramExists(`xwininfo', `
AddToMenu IdentifyWindowMenu "Identify Window" Title
+ "Module FvwmIdent (click in desired window)" Module FvwmIdent
+ "xwininfo" Exec StartNonInteractiveProgramInRxvt(`xwininfo',xwininfo)
MenuAndButtonEntryLM(&Identify Window,question,question,Popup IdentifyWindowMenu)
', `
MenuAndButtonEntryLM(&Identify Window,question,question,Module FvwmIdent)
')

MenuAndButtonEntryLM(&Console,term,,Popup ToggleConsole)

MenuSeparatorLM
MenuAndButtonEntryLM(Restart &Fvwm2,turn,,Function ReallyRestart)
ifelse(PerlTk, `Okay', `
MenuAndButtonEntryLM(Monitor Error File,exclam,,Popup ToggleErrorMonitor)
')
MenuSeparatorLM
MenuAndButtonEntryLM(Re&fresh Screen,ray,,Refresh)
MenuAndButtonEntryLM(Re&capture All Windows,recapture,,Recapture)

MenuSeparatorLM
MenuAndButtonEntryLM(Capture Full &screen to file,,,Exec xwd -out HOME/full-screen -root)
MenuAndButtonEntryLM(Capture (&Print) Window,camera,,FvwmForm Capture)
