divert(-1)
# AnotherLevelUp/fvwm2rc.storedprefs.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 1999, 2001, 2002, 2003 and Red Hat Software, Inc
divert

Style SavePreferences StaysOnTop
*SavePreferencesWarpPointer

*SavePreferencesFont		FORM_FONT
*SavePreferencesButtonFont	FORM_BUTTONFONT
*SavePreferencesInputFont	FORM_INPUTFONT
*SavePreferencesFore		FORM_FORE
*SavePreferencesBack		FORM_BACK
*SavePreferencesItemFore	FORM_ITEMFORE
*SavePreferencesItemBack	FORM_ITEMBACK

*SavePreferencesLine center
*SavePreferencesText "Name of preferences:"
*SavePreferencesInput PrefsName 50 " "
*SavePreferencesLine expand
*SavePreferencesButton quit "Okay" ^M
*SavePreferencesCommand Function SavePreferences "$(PrefsName)"
*SavePreferencesButton quit "Cancel" ^C
*SavePreferencesCommand Nop
*SavePreferencesButton restart "Clear" ^R


changecom(%%%)
AddToFunc SwitchPreferences
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -load_pref_with_save_confirm \"FORM_FONT\" \"FORM_BUTTONFONT\" \"FORM_INPUTFONT\" \"FORM_FORE\" \"FORM_BACK\" \"FORM_ITEMFORE\" \"FORM_ITEMBACK\" \"$0\""
changecom(#)

changecom(%%%)
AddToFunc SwitchSharedPreferences
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -load_theme_with_save_confirm \"FORM_FONT\" \"FORM_BUTTONFONT\" \"FORM_INPUTFONT\" \"FORM_FORE\" \"FORM_BACK\" \"FORM_ITEMFORE\" \"FORM_ITEMBACK\" \"$0\""
changecom(#)

AddToFunc SavePreferences
+ "I" Desk 0 10000
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -save \"$0\" -menu +delete"
+ "I" Desk 0 0

AddToFunc ExportPreferences
+ "I" Desk 0 10000
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -export -menu"
+ "I" Desk 0 0

changecom(%%%)
AddToFunc DeletePreferences
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -delete_confirm_form \"FORM_FONT\" \"FORM_BUTTONFONT\" \"FORM_INPUTFONT\" \"FORM_FORE\" \"FORM_BACK\" \"FORM_ITEMFORE\" \"FORM_ITEMBACK\" \"$0\""
changecom(#)

AddToFunc BrowseWebSiteThemes
+ "I"  Exec WEBBROWSER_BROWSE_URL(ALU_WEB_SITE_THEMES)

esyscmd(ANOTHERLEVEL/bin/preferences -path_shared_preferences "ANOTHERLEVELPREFERENCES" -menu +delete)
